Name:           go2rpm
Version:        1.15.0
Release:        %mkrel 1
Summary:        Convert Go packages to RPM
Group:          Development/Golang
License:        MIT
URL:            https://gitlab.com/fedora/sigs/go/go2rpm
Source:         https://gitlab.com/fedora/sigs/go/go2rpm/-/archive/v%{version}/go2rpm-v%{version}.tar.bz2
Patch0:         0001-Mageia-customizations.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(flit-core) >= 3.2
BuildRequires:  python3dist(gitpython)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(packaging)
BuildRequires:  python3dist(pip) >= 19
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tomlkit)
BuildRequires:  git

Recommends:     git
Requires:       askalono-cli
Requires:       compiler(go-compiler)

%description
Convert Go packages to RPM.

%prep
%autosetup -n go2rpm-v%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%check
%pytest -m "not network"

%files  -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc NEWS.md
%{_bindir}/%{name}


%changelog
* Sat Jan 04 2025 pterjan <pterjan> 1.15.0-1.mga10
+ Revision: 2135450
- Add BuildRequires git for the tests
- Update to v1.15.0
- imported package go2rpm
+ bcornec <bcornec>
- Suggest git for go2rpm - without help doesn't work

